<?php

if (!defined('conf_path_srvfuncs')) define('conf_path_srvfuncs', dirname(__FILE__).'/../funcs/');

function agi_setvars(&$agi, $vars)
{
    foreach($vars as $var => $value)
        $res = $agi->set_variable($var, $value);
}

function agi_getvar(&$agi, $name)
{
    $res = $agi->get_variable($name);
    if ($res['result'] != 1)
        return FALSE;

    return (array_key_exists('data', $res)) ? $res['data'] : 0;
}

function agi_set_group(&$agi, $category, $name)
{
    $res = $agi->set_variable("GROUP(".$category.")", $name);
    return ($res['result'] == 1);
}

function agi_check_group_count(&$agi, $category, $name)
{
    return agi_getvar($agi, "GROUP_COUNT(".$name."@".$category.")");
}

function agi_clear_group(&$agi, $category)
{
    agi_set_group($agi, $category, "none");
}

function agi_message_send(&$agi, $to, $from)
{
    $agi->exec('MessageSend', $to.",".$from);
    return (agi_getvar($agi, "MESSAGE_SEND_STATUS") == 'SUCCESS');
}
