<?php

//define('is_debug', true);
define('is_debug', false);

require_once(dirname(__FILE__).'/../data/data.php');

function dc_get_by_imei($imei)
{
    global $voip_db_srvs;
    if (array_key_exists($imei, $voip_db_srvs))
	return $voip_db_srvs[$imei];
    return FALSE;
}

function dc_get_by_number($number)
{
    global $voip_db_srvs;
    foreach($voip_db_srvs as $item => $data)
	if ($data['number'] == $number) return $data;
    return FALSE;
}

function dc_get_by_peer($peer)
{
    global $voip_db_srvs;
    foreach($voip_db_srvs as $item => $data)
	if ($data['peer'] == $peer) return $data;
    return FALSE;
}

function dc_get_number_by_imei($imei)
{
    if ((($dc = dc_get_by_imei($imei)) !== FALSE) && array_key_exists('number', $dc))
	return $dc['number'];
    return FALSE;
}

function dc_log_event($message, $filename="")
{
    $log = date("d.m.y H:i:s")." ".$message."\n";
    if (isset($filename) && ($filename != ""))
        error_log($log, 3, deb_log_folder.$filename);
    else
        print($message);
}
