[ext-fromservers]

[macro-stats]
exten => s,1,NoOp()
 same => n,NoOp(Status: ${DIALSTATUS} HANGUPCAUSE: ${HANGUPCAUSE} SIP_CAUSE: ${HASH(SIP_CAUSE,${CHANNEL})})
; same => n,NoOp(QOS: ${CHANNEL(rtpqos,audio,all)})
; same => n,NoOp(dest: ${CHANNEL(rtpdest,audio)})

[macro-to-ruvoip-sms]
exten => s,1,NoOp(Outgoing SMS to ruvoip)
 same => n,System(echo '${STRFTIME(${EPOCH},GMT-3,%Y-%m-%d %H:%M:%S)} - ${DONGLENAME} - ${CALLERID(num)}: ${BASE64_DECODE(${ARG1})}' >> /opt/var/log/asterisk/${ARG2})
 same => n,agi(agi-ruvoip.php,get-by-imei,${DONGLEIMEI})
 same => n,GotoIf($[ "${dc_peer}" == "" ]?end)
 same => n,GotoIf($[ "${dc_proto}" == "SIP" ]?sip)
 same => n,Set(IAXVAR(X-SMS-From)=${CALLERID(num)})
 same => n,Set(IAXVAR(X-SMS-To)=${dc_number})
 same => n,Set(IAXVAR(X-SMS-Body)=${ARG1})
 same => n,Dial(IAX2/${dc_peer}/smsin,10,gS(5))
 same => n,Goto(end)
 same => n(sip),Set(MESSAGE_DATA(X-SMS-From)=${CALLERID(num)})
 same => n,Set(MESSAGE_DATA(X-SMS-To)=${dc_number})
 same => n,Set(MESSAGE(body)=${BASE64_DECODE(${ARG1})})
 same => n,MessageSend(sip:smsin@ruvoip.net,"${dc_peer}")
 same => n(end),Hangup(16)

[macro-from-ruvoip-sms]
exten => s,1,NoOp(Incoming SMS from ruvoip!)
 same => n,NoOp(Dongle: ${ARG1} To: ${IAXVAR(X-SMS-To)} Body: ${BASE64_DECODE(${IAXVAR(X-SMS-Body)})})
 same => n,DongleSendSMS(${dc_dongle},+${IAXVAR(X-SMS-To)},"${BASE64_DECODE(${IAXVAR(X-SMS-Body)})}",14400,no)
 same => HangUp()

[datacard-incoming]
exten => sms,1,Verbose(${QUOTE(Incoming SMS from ${CALLERID(num)} ${BASE64_DECODE(${SMS_BASE64})})})
 same => n,Macro(to-ruvoip-sms,${SMS_BASE64},sms.txt)

exten => ussd,1,Verbose(${QUOTE(Incoming USSD: ${BASE64_DECODE(${USSD_BASE64})})})
 same => n,Macro(to-ruvoip-sms,${USSD_BASE64},ussd.txt)

exten => s,1,Macro(to-ruvoip,${DONGLEIMEI})
exten => h,1,NoOp(nothing)

[context-messaging]
exten => _.,1,NoOp(Exten: ${EXTEN} To:"${MESSAGE(to)}", From: "${MESSAGE(from)}", To: "${MESSAGE_DATA(X-SMS-To)}" Text: ${MESSAGE(body)})
 same => n,agi(agi-ruvoip.php,sms-decode,${EXTEN},"${MESSAGE_DATA(X-SMS-To)}","${BASE64_ENCODE(${MESSAGE(body)})}")
 same => n,GotoIf($[ "${dc_dongle}" == "" ]?end)
 same => n,DongleSendSMS(${dc_dongle},+${dc_sms_to},"${BASE64_DECODE(${dc_sms_text})}", 14400, no)
 same => n(end),HangUp()
exten => h,1,NoOp()
 
[macro-from-ruvoip]
exten => s,1,NoOp(NoCDR())
 same => n,NoOp(PeerName:${CHANNEL(peername)}, todongle=${ARG1})
 same => n,Dial(Dongle/${ARG1}/+${ARG2},90,gS(3600))
 same => n,Macro(stats)
 same => n(end),Hangup(${HANGUPCAUSE})
exten => h,1,Macro(stats)

[macro-to-ruvoip]
; 1 - IMEI
exten => s,1,NoOp(NoCDR())
 same => n,Verbose(Incoming Call from ${CALLERID(num)})
 same => n,agi(agi-ruvoip.php,get-by-imei,${ARG1})
 same => n,GotoIf($[ "${dc_peer}" == "" ]?end)
 same => n,Verbose(Redirecting from ${CALLERID(num)} to ${dc_proto}/${dc_peer})
 same => n,Dial(${dc_proto}/${dc_peer}/${dc_peer},90,gS(600))
 same => n,Macro(stats)
 same => n(end),Hangup(${HANGUPCAUSE})
exten => h,1,NoOp(nothing)

[ext-from-ruvoip]
exten => e,1,NoOp()
exten => smsin,1,Macro(from-ruvoip-sms)
exten => _.,1,Macro(from-ruvoip,${dc_dongle},${EXTEN})
exten => h,1,NoOp(nothing)
