allowguest=no
match_auth_username=yes

udpbindaddr=0.0.0.0:5060

;tcpenable=yes
;tcpbindaddr=172.20.0.113:5060

;externaddr=109.60.xxx.xxx

useragent=Asterisk PBX          ; Allows you to change the user agent string

realm=gsm.ruvoip.net
language=ru

;domain=gsm.ruvoip.net
;domain=gsm.ruvoip.net:5060

context=ext-fromservers         ; Default context for incoming calls

t38pt_udptl = yes
textsupport=yes

regextenonqualify=yes

canreinvite=no
nat=force_rport,comedia

allowsubscribe=yes
notifyringing=yes 
notifyhold=yes 
useclientcode=yes 
limitonpeers=yes

accept_outofcall_message=yes
outofcall_message_context=context-messaging
auth_message_requests=yes

use_q850_reason=yes ; Default "no"
                    ; Set to yes add Reason header and use Reason header if it is available.

relaxdtmf=yes

disallow=all
allow=alaw
;allow=ulaw
;allow=g729                      ; Pass-thru only unless g729 license obtained
;allow=g722
;allow=g726
;allow=g723.1                   ; Asterisk only supports g723.1 pass-thru!
;allow=gsm                       ; GSM consumes far less bandwidth than ulaw
;allow=ilbc                      ; Note: codec order is respected only in [general]
;allow=lpc10
;allow=speex
;allow=h261
;allow=h263
;allow=slin

[srv-options](!) ; a template
type=friend
;canreinvite=no
qualify=1000
qualifyfreq=60
transport=udp
limitonpeers=yes
trustrpid = yes
insecure=port,invite
dtmfmode=rfc2833
rfc2833compensate=yes

[ruvoip](!,srv-options)
context=ext-from-ruvoip
;host=85.142.148.80
host=ruvoip.net
fromdomain=ruvoip.net
